import objectdraw.*;
import java.awt.*;

/*
 * Controller for Irate Ibises program.
 */
public class IrateIbises extends WindowController {
    
    // The most recently created ibis
    private Ibis lastIbis;
    
    /*
     * Create a new ibis or change the color of the last ibis.
     */
    public void onMousePress(Location point){
        if (lastIbis != null && lastIbis.eyesContain(point)) {
            lastIbis.changeColor();
        } else {
            lastIbis = new Ibis( point, canvas.getHeight()*.5, canvas);
        }
    }
    
    /*
     *  Make the newest ibis grow
     */
    public void onMouseDrag(Location point){
        if (lastIbis != null) {
            lastIbis.grow();
        }
    }
    
    
    /*
     * Clear screen when mouse enters window
     */
    public void onMouseEnter(Location pt) {
        canvas.clear();
    }

}
